<?php

// Enqueue front-facing scripts and styles

add_action('wp_enqueue_scripts', 'spp_pos_enqueue_front_scripts');

function spp_pos_enqueue_front_scripts(){	

	global $post;

	global $spp_pos_options;

	

	wp_register_style( 'spp-pos-icon-admin', SPP_POS_DIR.'modules/css/responsive.css','', false, 'all' );  

	

	$spp_pos_localize_params = array(

		'cookie' => sanitize_text_field($spp_pos_options['cookie']),

		'cookie_duration' => sanitize_text_field($spp_pos_options['cookie_duration'])

	);

	

	if( is_front_page() && ( $spp_pos_options['home_scrollpop'] != 0 ) ){

		$to_show = 1;

	}

	

	if( ( is_archive() || is_category() ) && ( $spp_pos_options['archive_scrollpop'] != 0 ) ){

		$to_show = 1;

	}



	if ( is_single() && $spp_pos_options['default_scrollpop'] != '0' ) { // Is global ad on?

		if( get_post_meta( $post->ID, 'spp_pos_single_hide', true ) != '1' ) { // Is enabled on page

			$to_show = 1;

		}		

	}



	if ( is_page() && $spp_pos_options['page_scrollpop'] != '0' ) { // Is global ad on?

		if( get_post_meta( $post->ID, 'spp_pos_single_hide', true ) != '1' ) { // Is enabled on page

			$to_show = 1;

		}		

	}

	

	if( $to_show == 1 ) {	

		wp_enqueue_script('spp-pos-front', SPP_POS_DIR.'modules/js/front.joined.min.js', array('jquery','jquery-ui-core'), SPP_POS_VERSION, true ) ;

		wp_enqueue_style('spp-pos-front', SPP_POS_DIR.'modules/css/front.joined.min.css', false, '1.0.4', 'all' ) ;

		

		wp_localize_script( 'spp-pos-front', 'spp_pos_localize_params', $spp_pos_localize_params );

	}

}



// Enqueue scripts for admin

add_action( 'admin_enqueue_scripts', 'spp_pos_admin_scripts', 10, 1 );

function spp_pos_admin_scripts( $hook ) {

  //global $post;

  global $typenow;



    wp_register_style( 'spp-pos-icon-admin', SPP_POS_DIR.'modules/css/libs/fontello-6c9fb834/css/pm-poponscroll.css','', false, 'all' );

    wp_enqueue_style( 'spp-pos-icon-admin' );



	if( 'spp_pos_scrollpop' == $typenow ) {

	    wp_enqueue_script( 'spp_pos_color_picker', SPP_POS_DIR.'modules/js/admin.joined.min.js', array('jquery', 'wp-color-picker'), false, true );

		wp_enqueue_script( 'spp_pos_color_picker', SPP_POS_DIR.'modules/js/custom.js', array('jquery', 'wp-color-picker'), false, true );

	    wp_enqueue_style( 'wp-color-picker' );

	    wp_register_style( 'spp-pos-admin', SPP_POS_DIR.'modules/css/admin.joined.min.css','', false, 'all' );

    	wp_enqueue_style( 'spp-pos-admin' );

    	wp_enqueue_style( 'spp-pos-icon-admin' );

	}



	if( 'post-new.php' == $hook || 'post.php' == $hook ) {

	}



}

?>