<?php


/* References


 * https://github.com/chipbennett/oenology/blob/master/functions/options.php#L84


 * http://www.chipbennett.net/2011/02/17/incorporating-the-settings-api-in-wordpress-themes/7/
 */

/* Add admin menu U2NyaXB0eWFiLmNvbQ */


add_action( 'admin_menu', 'spp_pos_admin_menu' );


function spp_pos_admin_menu() {

	// Create options page
	add_submenu_page('edit.php?post_type=spp_pos_scrollpop', 'Settings', 'Settings', 'manage_options', 'spp_pos_settings', 'spp_pos_options_page');


}

// Output the settings page


function spp_pos_options_page() {

	$tab = ( isset( $_GET['tab'] )  ? $_GET['tab'] : 'defaults' );

	$settings_section = 'spp_pos_settings_'.$tab.'_tab';

	?>

	<div class="wrap">

		<h2><?php echo SPP_POS_PLUGIN_NAME; ?> Settings</h2>

		<?php settings_errors(  ); ?>

		<?php spp_pos_settings_page_tabs(); ?>

		<form action='options.php' method='post' enctype="multipart/form-data">


		<?php 

			// Call functions to build form

			settings_fields( 'spp_pos_options' );

			//do_settings_sections( 'spp_pos_settings' );

			do_settings_sections( $settings_section );

			// Update settings based on tab			

			?>

			<p class="submit">

			<?php

			submit_button( 'Save Settings', 'primary', 'spp_pos_options[submit-'.$tab.']', false, array( 'id' => 'submit-'.$tab ) );

			submit_button( 'Reset', 'secondary', 'spp_pos_option[reset-'.$tab.']', false, array( 'id' => 'reset-'.$tab ) );

			?></p>


		</form>


	</div>

	<?php

}

// Create tabs


function spp_pos_get_settings_page_tabs() {


	$tabs = array(

		'defaults' => 'Defaults',
		
		'design' => 'Design'
		);

	return $tabs;

}

// HTML Markup for tabs

function spp_pos_settings_page_tabs( $current = 'defaults' ) {

	// Determind which tab to display

	if( isset( $_GET['tab'] ) ) :

		$current = $_GET['tab'];

	else:

		$current = 'defaults';


	endif;

	// Get list of tabs
	$tabs = spp_pos_get_settings_page_tabs();

	$links = array();

	// Create links for each tab

	foreach ($tabs as $tab => $name) :

		if( $tab == $current ) :
			$links[] = '<a class="nav-tab nav-tab-active" href="?post_type=spp_pos_scrollpop&page=spp_pos_settings&tab='.$tab.'">'.$name.'</a>';

		else :

			$links[] = '<a class="nav-tab" href="?post_type=spp_pos_scrollpop&page=spp_pos_settings&tab='.$tab.'">'.$name.'</a>';

		endif;

	endforeach;

	echo '<h2 class="nav-tab-wrapper">';

	foreach ( $links as $link ) {

		echo $link;

	}

	echo '</h2>';

}

// Register settings

add_action( 'admin_init', 'spp_pos_initialize_settings' );


function spp_pos_initialize_settings() {

	// Register fields

	register_setting( 

		'spp_pos_options',

		'spp_pos_options', 
		
		'spp_pos_validate_options' );


	// Add settings sections

	spp_pos_add_settings_sections();


	add_settings_section( 'global', 'One Section', 'spp_pos_global_section_callback', 'spp_pos_settings' );


	// Add settings fields

	spp_pos_add_settings_fields();
	
	//add_settings_field( 'textfield', 'Text Field', 'spp_pos_textfield_field_callback', 'spp_pos_settings', 'global' );


}


/*---------------

 Sections


 ---------------*/


// Register multiple settings (called in admin_init)











function spp_pos_add_settings_sections() {











	// Array with settings identifiers











	$sects = array(











		'global' => array(











			'id' => 'global',











			'title' => 'Global Ads',











			'page' => 'spp_pos_settings_defaults_tab'











			),











		'design' => array(











			'id' => 'design',











			'title' => 'Design',











			'page' => 'spp_pos_settings_design_tab'











			)











		);























	// Loop through each











	foreach ($sects as $s) {











		add_settings_section( 











			$s['id'].'_section',











			$s['title'].' Options',











			'spp_pos_'.$s['id'].'_section_callback',











			$s['page']











			);











	}











}























/*----------------











Sections callback











-----------------*/











// Section callback











function spp_pos_global_section_callback() {











}











function spp_pos_design_section_callback() {











}























/*------------------











Fields











------------------*/











// Register multiple fields (called in admin_init)











function spp_pos_add_settings_fields () {











	// Array with field info











	$fields = array(











		'default_ad' => array(











			'id' => 'default_ad',











			'title' => 'Post default ad',











			'page' => 'spp_pos_settings_defaults_tab',











			'section' => 'global_section'











			),











		'page_scrollpop' => array(











			'id' => 'page_scrollpop',











			'title' => 'Page default ad',











			'page' => 'spp_pos_settings_defaults_tab',











			'section' => 'global_section'











			),











		'home_scrollpop' => array(











			'id' => 'home_scrollpop',











			'title' => 'Home page ad',











			'page' => 'spp_pos_settings_defaults_tab',











			'section' => 'global_section'











			),











		'archive_scrollpop' => array(











			'id' => 'archive_scrollpop',











			'title' => 'Archive ad',











			'page' => 'spp_pos_settings_defaults_tab',











			'section' => 'global_section'











			),











		'cookie' => array(











			'id' => 'cookie',











			'title' => 'Always show?',











			'page' => 'spp_pos_settings_defaults_tab',











			'section' => 'global_section'











			),











		'cookie_duration' => array(











			'id' => 'cookie_duration',











			'title' => 'Cookie duration',











			'page' => 'spp_pos_settings_defaults_tab',











			'section' => 'global_section'











			),











		'border' => array(











			'id' => 'border',











			'title' => 'Popup border',











			'page' => 'spp_pos_settings_design_tab',











			'section' => 'design_section'











			),











		'border_color' => array(











			'id' => 'border_color',











			'title' => 'Border color',











			'page' => 'spp_pos_settings_design_tab',











			'section' => 'design_section'











			),











		'border_style' => array(











			'id' => 'border_style',











			'title' => 'Border style',











			'page' => 'spp_pos_settings_design_tab',











			'section' => 'design_section'











			),





					





		'background_color' => array(











			'id' => 'background_color',











			'title' => 'Background color',











			'page' => 'spp_pos_settings_design_tab',











			'section' => 'design_section'











			),





			





			





			'popup_position' => array(











			'id' => 'popup_position',











			'title' => 'Popup Position',











			'page' => 'spp_pos_settings_design_tab',











			'section' => 'design_section'











			), 


			


			'popup_slide' => array(











			'id' => 'popup_slide',











			'title' => 'Popup slide From',











			'page' => 'spp_pos_settings_design_tab',











			'section' => 'design_section'











			),


 








		);























	// Loop through each in array











	foreach ($fields as $f) {











		add_settings_field( 











			$f['id'],











			$f['title'],











			'spp_pos_'.$f['id'].'_field_callback',











			$f['page'],











			$f['section']











			);











	}











}























/*--------------------











Fields callback











--------------------*/











function spp_pos_default_ad_field_callback() {











	// Be sure the field names are formatted for array!











	// Also be sure name does not have ''











	global $spp_pos_options;











	$all_spp_pos_scrollpop = get_posts('post_type=spp_pos_scrollpop&showposts=-1&orderby=name&order=ASC');


	$default_scrollpop = $spp_pos_options['default_scrollpop'];
	?>


	<select name="spp_pos_options[default_scrollpop]">


		<option value="0">None</option>

	  <?php 
		foreach( $all_spp_pos_scrollpop as $single_post ){

			?>

			<option value="<?php echo $single_post->ID; ?>" <?php selected( $default_scrollpop, $single_post->ID ); ?>><?php echo $single_post->post_title; ?></option>











			<?php











		}











	  ?>











	  </select>











	<?php











}











function spp_pos_page_scrollpop_field_callback() {











	global $spp_pos_options;











	$all_spp_pos_scrollpop = get_posts('post_type=spp_pos_scrollpop&showposts=-1&orderby=name&order=ASC');











	$page_scrollpop = $spp_pos_options['page_scrollpop'];











	?>











	<select name="spp_pos_options[page_scrollpop]">

		<option value="0">None</option>

	  <?php 

		foreach( $all_spp_pos_scrollpop as $single_post ){

			?>
			<option value="<?php echo $single_post->ID; ?>" <?php selected( $page_scrollpop, $single_post->ID ); ?>><?php echo $single_post->post_title; ?></option>


			<?php

		}
	  ?>

	  </select>

	<?php

}

function spp_pos_home_scrollpop_field_callback() {


	global $spp_pos_options;

	$all_spp_pos_scrollpop = get_posts('post_type=spp_pos_scrollpop&showposts=-1&orderby=name&order=ASC');
	
	$home_scrollpop = $spp_pos_options['home_scrollpop'];
	
	?>

	<select name="spp_pos_options[home_scrollpop]" >
    
    <option value="0">None</option>


	  <?php 

		foreach( $all_spp_pos_scrollpop as $single_post ){
			?>


    <option value="<?php echo $single_post->ID; ?>" <?php selected( $home_scrollpop, $single_post->ID ); ?>><?php echo $single_post->post_title; ?></option>



	<?php		}  ?>
	  </select>

	<?php }

function spp_pos_popup_slide_field_callback() {

	global $spp_pos_options;

	?>

	<select name="spp_pos_options[popup_slide]" id="popup_slide">

		<option value="left" <?php selected( $spp_pos_options['popup_slide'], 'left', true ); ?>>Left</option>
        
		<option value="right" <?php selected( $spp_pos_options['popup_slide'], 'right', true ); ?>>Right</option>

		<option value="top" <?php selected( $spp_pos_options['popup_slide'], 'top', true ); ?>>Top</option>

		<option value="bottom" <?php selected( $spp_pos_options['popup_slide'], 'bottom', true ); ?>>Bottom</option>
        
	</select>

	<?php }


function spp_pos_archive_scrollpop_field_callback() {

	global $spp_pos_options;
	
	$all_spp_pos_scrollpop = get_posts('post_type=spp_pos_scrollpop&showposts=-1&orderby=name&order=ASC');

	$archive_scrollpop = $spp_pos_options['archive_scrollpop'];

	?>

	<select name="spp_pos_options[archive_scrollpop]" >
    
	<option value="0" <?php selected( $archive_scrollpop, '0' ); ?>>None</option>

	  <?php 
		foreach( $all_spp_pos_scrollpop as $single_post ){ ?>

<option value="<?php echo $single_post->ID; ?>" <?php selected( $archive_scrollpop, $single_post->ID ); ?>><?php echo $single_post->post_title; ?></option>

	  <?php		}	  ?>

	  </select> 	<?php }



function spp_pos_cookie_duration_field_callback() {


	global $spp_pos_options;

	?>

	<input type="text" name="spp_pos_options[cookie_duration]" class="small-text" id="cookie_duration" value="<?php echo sanitize_text_field( $spp_pos_options['cookie_duration'] ); ?>"> <label for="cookie_duration">Number of days to hide ad if "Hide is clicked"</label>

	<?php }
	
function spp_pos_cookie_field_callback() {

	global $spp_pos_options;

	?>


	<input type="checkbox" name="spp_pos_options[cookie]" value="1" id="cookie" <?php checked( $spp_pos_options['cookie'], '1', true ); ?>> <label for="cookie">Appears every time the page loads & is scrolled (cookie ignored)</label>

	<?php }


function spp_pos_border_field_callback() {

	global $spp_pos_options;

	?>

	<table id="popupborder">
		<tr>

			<td></td>

			<td>Top<br><input class="small-text" type="text" name="spp_pos_options[border_top_width]" value="<?php echo sanitize_text_field( $spp_pos_options['border_top_width'] ); ?>">px</td>

			<td></td>

		</tr>

		<tr>


			<td>Left<br><input class="small-text" type="text" name="spp_pos_options[border_left_width]" value="<?php echo sanitize_text_field( $spp_pos_options['border_left_width'] ); ?>">px</td>











			<td id="ad-rep">Popup Ad</td>











			<td>Right<br><input class="small-text" type="text" name="spp_pos_options[border_right_width]" value="<?php echo sanitize_text_field( $spp_pos_options['border_right_width'] ); ?>">px</td>











		</tr>











		<tr>











			<td></td>











			<td>Bottom<br><input class="small-text" type="text" name="spp_pos_options[border_bottom_width]" value="<?php echo sanitize_text_field( $spp_pos_options['border_bottom_width'] ); ?>">px</td>











			<td></td>











		</tr>











	</table>











	<p><small>Leave empty to disable border</small></p>











	<?php











}











function spp_pos_border_color_field_callback(){











	global $spp_pos_options;











	?>











	<input type="text" name="spp_pos_options[border_color]" class="color-picker" value="<?php echo sanitize_text_field( $spp_pos_options['border_color'] ); ?>">











	<?php











}











function spp_pos_border_style_field_callback() {











	global $spp_pos_options;











	?>











	<select name="spp_pos_options[border_style]" id="border_style">











		<option value="solid" <?php selected( $spp_pos_options['border_style'], 'solid', true ); ?>>Solid</option>











		<option value="dotted" <?php selected( $spp_pos_options['border_style'], 'dotted', true ); ?>>Dotted</option>











		<option value="dashed" <?php selected( $spp_pos_options['border_style'], 'dashed', true ); ?>>Dashed</option>











	</select>











	<?php











}











function spp_pos_popup_position_field_callback() {











	global $spp_pos_options;


	


	


	











	?>





	


	<script type="text/javascript">





jQuery(document).ready(function(){


	


	


	var test = jQuery('li input[type="radio"]:checked:first').val();





		 jQuery('li input:checked').parent().addClass("selected-position");


		 


	// close the document.ready code block





jQuery('img').click(function(){


	


	jQuery('input:checked').parent().removeClass("selected-position");


	  jQuery('img').removeClass('img-active');


      jQuery(this).addClass('img-active');


    


  jQuery(this).parent().find(':radio').attr('checked' , 'checked');


	});


});


	


	


</script>





<style>


.options-list > li {


    float: left;


    width: 120px;


}





.selected-position {


  border: #1ABC9C solid 3px !important;


  width: 103px !important;


  height: 77px;


  border-radius: 5px;


  padding: 2px;


}





input[type=radio] {


  -webkit-border-radius: 50%;


  border-radius: 50%;


  margin-right: 4px;


  line-height: 10px;


  display: none;


}





.img-active


{


 border: #1ABC9C solid 3px !important;


  width: 103px !important;


  height: 77px;


  border-radius: 5px;


  padding: 2px 


}








#position-img > li {


    float: left;


    width: 118px;


	margin-right: 45px;


}








</style>








<ul class="options-list" id="position-img"">


      <li>


        <img class="small-image-preview v-middle" title="" src="<?php echo SPP_POS_DIR; ?>modules/images/top-right.png">


        <input type ="radio" name="spp_pos_options[popup_position]" id="popup_position" <?php checked( $spp_pos_options['popup_position'], 'top-right', true ); ?> value="top-right" class="radio"> 


      </li>

	  <li >


        <img class="small-image-preview v-middle" title="" src="<?php echo SPP_POS_DIR; ?>modules/images/top-left.png">


       <input type ="radio" name="spp_pos_options[popup_position]" id="popup_position" <?php checked( $spp_pos_options['popup_position'], 'top-left', true ); ?> value="top-left" class="radio" > 


      </li>


	  


	  


	  <li >


        <img class="small-image-preview v-middle" title="" src="<?php echo SPP_POS_DIR; ?>modules/images/bottom-right.png">


       <input type ="radio" name="spp_pos_options[popup_position]" id="popup_position" <?php checked( $spp_pos_options['popup_position'], 'bottom-left', true ); ?> value="bottom-left" class="radio" >


      </li>


	  


	  <li>


        <img class="small-image-preview v-middle" title="" src="<?php echo SPP_POS_DIR; ?>modules/images/bottom-left.png">


       <input type ="radio" name="spp_pos_options[popup_position]" id="popup_position" <?php checked( $spp_pos_options['popup_position'], 'bottom-right', true ); ?> value="bottom-right" class="radio"> 


      </li>


	  


	  </ul> 


	 


	 	








	<?php











}











function spp_pos_background_color_field_callback() {











	global $spp_pos_options;











	?>











	<input type="text" name="spp_pos_options[background_color]" class="color-picker" value="<?php echo sanitize_text_field( $spp_pos_options['background_color'] ); ?>">











	<?php











}























// Validate options











function spp_pos_validate_options( $input ) {











	global $spp_pos_options;

	$valid_input = $spp_pos_options;

	// Determine which tab is submitted

	$defaults = ( !empty( $input['submit-defaults'] ) ? true : false );

	$design = ( !empty( $input['submit-design'] ) ? true : false );

	if( $defaults ) {

		// validate only defaults settings

$valid_input['default_scrollpop'] = ( isset( $input['default_scrollpop'] ) && is_numeric( $input['default_scrollpop'] ) ) ? $input['default_scrollpop'] : '' ;

		$valid_input['page_scrollpop'] = ( isset( $input['page_scrollpop'] ) && is_numeric( $input['page_scrollpop'] ) ) ? $input['page_scrollpop'] : '' ;
		
		$valid_input['home_scrollpop'] = ( isset( $input['home_scrollpop'] ) && is_numeric( $input['home_scrollpop'] ) ) ? $input['home_scrollpop'] : '' ;

		$valid_input['archive_scrollpop'] = ( isset( $input['archive_scrollpop'] ) && is_numeric( $input['archive_scrollpop'] ) ) ? $input['archive_scrollpop'] : '' ;		

		$valid_input['cookie'] = ( isset( $input['cookie'] ) && $input['cookie'] == 1 ) ? $input['cookie'] : '0' ;

		$valid_input['cookie_duration'] = ( isset( $input['cookie_duration'] ) && is_numeric( $input['cookie_duration'] ) ) ? $input['cookie_duration'] : '' ;

		// reuse design settings

		$valid_input['border_top_width'] = $spp_pos_options['border_top_width'];

		$valid_input['border_left_width'] = $spp_pos_options['border_left_width'];

		$valid_input['border_right_width'] = $spp_pos_options['border_right_width'];

		$valid_input['border_bottom_width'] = $spp_pos_options['border_bottom_width'];
		
		$valid_input['border_color'] = $spp_pos_options['border_color'];
		
		$valid_input['border_style'] = $spp_pos_options['border_style'];

		$valid_input['background_color'] = $spp_pos_options['background_color'];

		$valid_input['popup_position'] = $spp_pos_options['popup_position'];

		$valid_input['popup_slide'] = $spp_pos_options['popup_slide'];

   } elseif ( $design ) {

		// reuse defaults settings

		$valid_input['default_scrollpop'] = $spp_pos_options['default_scrollpop'];

		$valid_input['page_scrollpop'] = $spp_pos_options['page_scrollpop'];

		$valid_input['home_scrollpop'] = $spp_pos_options['home_scrollpop'];

		$valid_input['archive_scrollpop'] = $spp_pos_options['archive_scrollpop'];

		$valid_input['cookie'] = $spp_pos_options['cookie'];

		$valid_input['cookie_duration'] = $spp_pos_options['cookie_duration'];

		// validate only design settings

		$valid_input['border_top_width'] = ( isset( $input['border_top_width'] ) && is_numeric( $input['border_top_width'] ) ) ? $input['border_top_width'] : '' ;

		$valid_input['border_left_width'] = ( isset( $input['border_left_width'] ) && is_numeric( $input['border_left_width'] ) ) ? $input['border_left_width'] : '' ;

		$valid_input['border_right_width'] = ( isset( $input['border_right_width'] ) && is_numeric( $input['border_right_width'] ) ) ? $input['border_right_width'] : '' ;

		$valid_input['border_bottom_width'] = ( isset( $input['border_bottom_width'] ) && is_numeric( $input['border_bottom_width'] ) ) ? $input['border_bottom_width'] : '' ;

		$valid_input['border_color'] = ( isset( $input['border_color'] ) && preg_match( '/^#[a-f0-9]{6}$/i', $input['border_color'] ) == '1' ) ? $input['border_color'] : '' ;

		$allowed_style = array( 'solid', 'dotted', 'dashed' );

		$valid_input['border_style'] = ( isset( $input['border_style'] ) && in_array( $input['border_style'], $allowed_style ) ) ? $input['border_style'] : '' ;

		$valid_input['background_color'] = ( isset( $input['background_color'] ) && preg_match( '/^#[a-f0-9]{6}$/i', $input['background_color'] ) == '1' ) ? $input['background_color'] : '' ;

	    $valid_input['popup_position'] = ( isset( $input['popup_position'] ));

		$postion_style = array( 'left', 'right', 'top','bottom' );

		$popup_position_style = array( 'top-right', 'top-left', 'bottom-right', 'bottom-left' );

		$valid_input['popup_position'] = ( isset( $input['popup_position'] ) && in_array( $input['popup_position'], $popup_position_style ) ) ? $input['popup_position'] : '' ;

		$valid_input['popup_slide'] = ( isset( $input['popup_slide'] ) && in_array( $input['popup_slide'], $postion_style ) ) ? $input['popup_slide'] : '' ;

	}


	return $valid_input;


}











?>